com.microfocus.awm.meta.modelextension

## Interface ICustomRestriction<T>

- Type Parameters:
    `T` - the type of the values that should be displayed in the model editor. Valid values are `String`, `Boolean`, `Integer` and `Double`.

      public interface ICustomRestriction<T>

  An interface to support custom restrictions in the 'com.microfocus.awm.model.extension' extension point. The restrictions defined by this extension will be displayed as combo box in the model editor.
  The type of this interface has to be equal to the one defined in the attribute 'type' of the 'packageParameter' or 'attribute' extension.

  Copyright Micro Focus GmbH.

  Author:
    NicolasP

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `T` | `getDefaultValue()` The default value, which should be selected when the attribute or the packageParameter gets initialized the first time.
    `java.util.Collection<T>` | `getRestrictions()` The list of elements that should be displayed in the model editor as part of an attribute or a packageParameter.
    `boolean` | `isEditable()` Whether the attribute or packageParameter should be editable or not.

- - ### Method Detail

    - #### getRestrictions

          java.util.Collection<T> getRestrictions()

      The list of elements that should be displayed in the model editor as part of an attribute or a packageParameter.
      Returns:
        a list of elements

    - #### getDefaultValue

          T getDefaultValue()

      The default value, which should be selected when the attribute or the packageParameter gets initialized the first time.
      Returns:
        the default value.

    - #### isEditable

          boolean isEditable()

      Whether the attribute or packageParameter should be editable or not.
      Returns:
        `true`, if the packageParameter or the attribute should be editable, else return `false`.

Copyright © 2015 Micro Focus GmbH. All rights reserved.